AOMedia Codec SDK

Data Structures | Typedefs | Enumerations
aomdx.h File Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Decoder

Provides definitions for using AOM or AV1 within the aom Decoder interface. More...

`#include "aom/aom.h"`
Include dependency graph for aomdx.h:

Go to the source code of this file.

## Data Structures
struct | aom_inspect_init
| Structure to hold inspection callback and context. More...
struct | aom_tile_data
| Structure to hold a tile's start address and size in the bitstream. More...
struct | av1_ext_ref_frame
| Structure to hold the external reference frame pointer. More...

## Typedefs
typedef struct Accounting | Accounting
typedef void(* | aom_inspect_cb) (void *decoder, void *ctx)
typedef struct aom_inspect_init | aom_inspect_init
| Structure to hold inspection callback and context. More...
typedef struct aom_tile_data | aom_tile_data
| Structure to hold a tile's start address and size in the bitstream. More...
typedef struct av1_ext_ref_frame | av1_ext_ref_frame_t
| Structure to hold the external reference frame pointer. More...

## Enumerations
enum | aom_dec_control_id { AOMD_GET_LAST_REF_UPDATES = AOM_DECODER_CTRL_ID_START, AOMD_GET_FRAME_CORRUPTED, AOMD_GET_LAST_REF_USED, AV1D_GET_FRAME_SIZE, AV1D_GET_DISPLAY_SIZE, AV1D_GET_BIT_DEPTH, AV1_SET_BYTE_ALIGNMENT, AV1_INVERT_TILE_DECODE_ORDER, AV1_SET_SKIP_LOOP_FILTER, AV1_GET_ACCOUNTING, AOMD_GET_LAST_QUANTIZER, AV1_SET_DECODE_TILE_ROW, AV1_SET_DECODE_TILE_COL, AV1_SET_TILE_MODE, AV1D_GET_FRAME_HEADER_INFO, AV1D_GET_TILE_DATA, AV1D_SET_EXT_REF_PTR, AV1D_EXT_TILE_DEBUG, AV1D_SET_IS_ANNEXB, AV1D_SET_OPERATING_POINT, AV1D_SET_OUTPUT_ALL_LAYERS, AV1_SET_INSPECTION_CALLBACK, AOM_DECODER_CTRL_ID_MAX }
| AOM decoder control functions. More...

## Algorithm interface for AV1
This interface provides the capability to decode AV1 streams.
aom_codec_iface_t | aom_codec_av1_dx_algo
aom_codec_iface_t * | aom_codec_av1_dx (void)

## Detailed Description

Provides definitions for using AOM or AV1 within the aom Decoder interface.